%define	name	gtkwave
%define	version 2.0.0
%define pre	pre3
%define release 0.%{pre}.3mdk
%define Summary	GTKWave Electronic Waveform Viewer

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{Summary}
License: 	GPL
Group:		Sciences/Other
Source0:	%{name}-%{version}%{pre}.tar.bz2
Source1:	%{name}-16.png.bz2
Source2:	%{name}-32.png.bz2
Source3:	%{name}-48.png.bz2
URL:		http://www.cs.man.ac.uk/apt/tools/gtkwave/index.html
BuildRequires:	libgtk+1.2-devel libxml2-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
GTKWave is VCD/EVCD/LXT/Synopsis .out format electronic waveform viewer
built using the GTK+ toolkit. GTKWave was originally developed by Tony
Bybell but development has now passed to the Amulet group and we hope to
extend and improve GTKWave to support new formats and features. Tony
continues to add features to the 1.3 series, the latest release in this
series is 1.3.21. 

GTKWave will hopefully also form the basis of some new visualisation
tools for LARD. 

%prep
%setup -q -n %{name}-%{version}%{pre}
bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%{find_lang} %{name}

# icons
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png 
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png 
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\\
	command="%{_bindir}/%{name}"\\
	needs="X11"\\
	icon="%{name}.png"\\
	section="Applications/Sciences/Other"\\
	title="GTKWave" \
	longtitle="%{Summary}"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL ChangeLog README doc examples
%{_bindir}/*
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Tue Jul 15 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.0.0-0.pre3.3mdk
- rebuild

* Tue Jun 24 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.0.0-0.pre3.2mdk
- fix group
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- change summary macro to avoid conflicts with -debug package
- updated url
- quiet setup
- buildrequires

* Sat Feb 08 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.0.0-0.pre3.1mdk
- first Mandrake release

